Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class TileRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.TileRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage, TileGenerator

public class TileRed
extends AbstractRed
implements TileGenerator

This filter simply tiles its tile starting from the upper left corner of the tiled region.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`TileRed(java.awt.image.RenderedImage tile, java.awt.Rectangle tiledRegion)`
`TileRed(java.awt.image.RenderedImage tile, java.awt.Rectangle tiledRegion, int xStep, int yStep)`
`TileRed(java.awt.image.RenderedImage tile, java.awt.Rectangle tiledRegion, int xStep, int yStep, java.awt.RenderingHints hints)`
`TileRed(java.awt.image.RenderedImage tile, java.awt.Rectangle tiledRegion, java.awt.RenderingHints hints)`

Method Summary
`java.awt.image.WritableRaster` | `copyData(java.awt.image.WritableRaster wr)`
`protected void` | `fillOutRaster_FALLBACK(java.awt.image.WritableRaster wr)`
`protected void` | `fillOutRaster_INT_PACK(java.awt.image.WritableRaster wr)`
`protected void` | `fillOutRaster(java.awt.image.WritableRaster wr)`
`java.awt.image.WritableRaster` | `fillRasterFrom(java.awt.image.WritableRaster wr, java.awt.image.RenderedImage src)`
`protected static java.awt.image.ColorModel` | `fixColorModel(java.awt.image.RenderedImage src, boolean alphaPremult)`
`protected static java.awt.image.SampleModel` | `fixSampleModel(java.awt.image.RenderedImage src, int stepX, int stepY, int width, int height)` This function 'fixes' the source's sample model.
`java.awt.image.Raster` | `genTile(int x, int y)`
`java.awt.image.Raster` | `getTile(int x, int y)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileRed

    public TileRed(java.awt.image.RenderedImage tile,
                   java.awt.Rectangle tiledRegion)

### TileRed

    public TileRed(java.awt.image.RenderedImage tile,
                   java.awt.Rectangle tiledRegion,
                   java.awt.RenderingHints hints)

### TileRed

    public TileRed(java.awt.image.RenderedImage tile,
                   java.awt.Rectangle tiledRegion,
                   int xStep,
                   int yStep)

### TileRed

    public TileRed(java.awt.image.RenderedImage tile,
                   java.awt.Rectangle tiledRegion,
                   int xStep,
                   int yStep,
                   java.awt.RenderingHints hints)

Method Detail

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

  Specified by:
    `copyData` in interface `java.awt.image.RenderedImage`

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

  Specified by:
    `getTile` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### genTile

    public java.awt.image.Raster genTile(int x,
                                         int y)

  Specified by:
    `genTile` in interface `TileGenerator`

### fillRasterFrom

    public java.awt.image.WritableRaster fillRasterFrom(java.awt.image.WritableRaster wr,
                                                        java.awt.image.RenderedImage src)

### fillOutRaster

    protected void fillOutRaster(java.awt.image.WritableRaster wr)

### fillOutRaster_INT_PACK

    protected void fillOutRaster_INT_PACK(java.awt.image.WritableRaster wr)

### fillOutRaster_FALLBACK

    protected void fillOutRaster_FALLBACK(java.awt.image.WritableRaster wr)

### fixColorModel

    protected static java.awt.image.ColorModel fixColorModel(java.awt.image.RenderedImage src,
                                                             boolean alphaPremult)

### fixSampleModel

    protected static java.awt.image.SampleModel fixSampleModel(java.awt.image.RenderedImage src,
                                                               int stepX,
                                                               int stepY,
                                                               int width,
                                                               int height)

  This function 'fixes' the source's sample model. right now it just ensures that the sample model isn't much larger than my width.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.